
%global meadversion 7.1.1
%global namedversion 7.1.1.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead
%bcond_with tests

%{?scl:%scl_package %{?scl_prefix}shibboleth-java-support}
%{!?scl:%global pkg_name %{name}}

%define maven_version 7.1.1.redhat-1

Name:           %{?scl_prefix}shibboleth-java-support
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        java-support
Group:          Development/Java

%if %with mead
Source100: java-support-7.1.1.redhat-1-scm-sources.zip
Source102: java-support-7.1.1.redhat-1-sources.jar
Source103: java-support-7.1.1.redhat-1.jar
Source104: java-support-7.1.1.redhat-1-tests.jar
Source105: java-support-7.1.1.redhat-1-project-sources.tar.gz
Source106: java-support-7.1.1.redhat-1.pom
Source107: java-support-7.1.1.redhat-1-javadoc.jar
%endif

License:        ASL 2.0
URL:            https://svn.shibboleth.net/utilities/java-support/
Provides:       %{?scl_prefix}java-support = %{epoch}:%{version}-%{release}
# XXX: 1.10
Requires:       %{?scl_prefix_eap}commons-codec >= 0:1.9
Requires:       %{?scl_prefix_eap}guava >= 0:18.0
Requires:       %{?scl_prefix_eap}joda-time >= 0:2.7
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for java-support
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n java-support -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/java-support-%{namedversion}.jar %{buildroot}%{_javadir}/java-support-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/java-support-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/java-support-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/java-support-%{namedversion}-sources.jar %{buildroot}%{_javadir}/java-support-%{namedversion}-sources.jar
%if %with tests
%{__cp} -p %{_sourcedir}/java-support-%{namedversion}-tests.jar %{buildroot}%{_javadir}/java-support-%{namedversion}-tests.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/java-support-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/java-support-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/java-support-%{namedversion} -x META-INF/\*
%{__ln_s} java-support-%{namedversion} %{buildroot}%{_javadocdir}/java-support
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}/java-support-%{namedversion}.jar
%{_javadir}/java-support.jar
%if %with javadoc
%{_javadir}/java-support-%{namedversion}-javadoc.jar
%{_javadir}/java-support-javadoc.jar
%endif
%{_javadir}/java-support-%{namedversion}-sources.jar
%{_javadir}/java-support-sources.jar
%if %with tests
%{_javadir}/java-support-%{namedversion}-tests.jar
%{_javadir}/java-supporr-tests.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/java-support-%{namedversion}
%{_javadocdir}/java-support
%endif

%changelog
* Thu Aug 13 2015 David Walluck <dwalluck@redhat.com> - 7.1.1-1.redhat_1.1
- release

